package com.ruoyi.web.work.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.web.work.domain.User;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * @author lsw
 * @date 2024-04-15
 */
public interface UserMapper extends BaseMapper<User> {
    List<User> selectList(User user);

    @Select("SELECT * FROM tb_user WHERE open_id=#{openId}")
    User selectByOpenId(@Param("openId") String openId);

    User selectUser(@Param("id") Long id);
}
